<?php
namespace Mollie\HyvaCompatibility\Block\Product\View\ApplePay;

/**
 * Interceptor class for @see \Mollie\HyvaCompatibility\Block\Product\View\ApplePay
 */
class Interceptor extends \Mollie\HyvaCompatibility\Block\Product\View\ApplePay implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Registry $registry, \Mollie\Payment\Config $config, \Mollie\Payment\Service\Mollie\ApplePay\SupportedNetworks $supportedNetworks, \Magento\Framework\Pricing\PriceCurrencyInterface $priceCurrency, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $registry, $config, $supportedNetworks, $priceCurrency, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
